Skip to main content
GET
/
api
/
v1
/
sessions
/
{session_id}
/
jobs
/
{job_id}
/
status
Get job status
curl --request GET \
  --url https://api.example.com/api/v1/sessions/{session_id}/jobs/{job_id}/status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/sessions/{session_id}/jobs/{job_id}/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/sessions/{session_id}/jobs/{job_id}/status', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "job_id": "<string>",
  "job_type": "<string>",
  "status": "<string>",
  "progress": 123,
  "progress_detail": {},
  "result": {},
  "error": "<string>",
  "created_at": 123,
  "completed_at": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required
job_id
string
required

Response

Successful Response

Response model for job status check.

job_id
string
required

Job identifier

job_type
string
required

Type of job

status
string
required

Current job status

progress
number | null

Job progress percentage

progress_detail
Progress Detail · object | null

Detailed progress info (percentage, processed, failed, total) when available

result
Result · object | null

Job result if completed

error
string | null

Error message if failed

created_at
number | null

Job creation timestamp

completed_at
number | null

Job completion timestamp